diff update-vendor @ 572:a163d6875651

Vendor autoloads.
author nanaya <me@myconan.net>
date Wed, 24 Jun 2015 13:41:51 +0900
parents update-vim-syntax@50fd59a959ea
children 184635b813e1
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/update-vendor	Wed Jun 24 13:41:51 2015 +0900
@@ -0,0 +1,38 @@
+#!/bin/sh
+
+set -u
+set -e
+
+
+if [ ! command -v wget > /dev/null 2>&1 ]; then
+  echo wget is required
+  exit 1
+fi
+
+
+_get() {
+  wget --no-check-certificate -nv "$1"
+}
+
+
+(
+  cd "$(dirname "$0")/vendor/vim-autoload"
+
+  rm -f *.vim
+  _get "https://raw.githubusercontent.com/tpope/vim-pathogen/master/autoload/pathogen.vim"
+)
+
+
+(
+  cd "$(dirname "$0")/vendor/vim-syntax"
+
+  rm -f *.vim
+  _get https://vim.googlecode.com/hg/runtime/syntax/ruby.vim
+  _get https://vim.googlecode.com/hg/runtime/syntax/eruby.vim
+  _get https://vim.googlecode.com/hg/runtime/syntax/scss.vim
+  _get https://github.com/kchmck/vim-coffee-script/raw/master/syntax/coffee.vim
+  _get https://github.com/slim-template/vim-slim/raw/master/syntax/slim.vim
+  _get https://github.com/elzr/vim-json/raw/master/syntax/json.vim
+  _get https://raw.githubusercontent.com/xsbeats/vim-blade/master/syntax/blade.vim
+  _get https://raw.githubusercontent.com/groenewege/vim-less/master/syntax/less.vim
+)